#
# Android.mk
#
# POCO Foundation
#
MAKE_LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE     := PocoFoundation
LOCAL_PATH       := $(MAKE_LOCAL_PATH)/src
LOCAL_CFLAGS     := -DPOCO_ANDROID -D__linux -Dlinux -DPOCO_NO_FPENVIRONMENT -DPOCO_NO_WSTRING -DPOCO_NO_SHAREDMEMORY
LOCAL_CPPFLAGS   := -std=gnu++11 -frtti -fexceptions
LOCAL_C_INCLUDES := $(MAKE_LOCAL_PATH)/include
LOCAL_LDLIBS := -lz

#hack
#Glob.cpp \#gzio.c\
#Manifest.cpp \ MD2Engine.cpp \

#add cpp/c files
POCOZIP_CPP:=$(wildcard $(LOCAL_PATH)/*.cpp)
POCOZIP_C:=$(wildcard $(LOCAL_PATH)/*.c)



LOCAL_SRC_FILES := $(POCOZIP_CPP:$(LOCAL_PATH)/%=%)
LOCAL_SRC_FILES += $(POCOZIP_C:$(LOCAL_PATH)/%=%)


#remove files
toRemove:= DirectoryIterator_UNIX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= NamedEvent_UNIX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= NamedMutex_UNIX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= File_UNIX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= Process_UNIX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= FPEnvironment_DUMMY.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= SharedMemory_POSIX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= EventLogChannel.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= OpcomChannel.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= WindowsConsoleChannel.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))


toRemove:= _HPUX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= _VMS.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= _VX.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= _SUN.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= _WIN32.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= _WIN32U.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= _WINCE.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))
toRemove:= _DEC.cpp
LOCAL_SRC_FILES := $(subst $(toRemove),$(empty),$(LOCAL_SRC_FILES))



include $(BUILD_STATIC_LIBRARY)
